// Code generated by MockGen. DO NOT EDIT.
// Source: handlers_config.go

// Package mock_models is a generated GoMock package.
package botengine_mocks

import (
	gomock "github.com/golang/mock/gomock"
	"gitlab.com/eng-bot/bot/internal/botengine/models"
	reflect "reflect"
)

// MockHandlerConfig is a mock of HandlerConfig interface
type MockHandlerConfig struct {
	ctrl     *gomock.Controller
	recorder *MockHandlerConfigMockRecorder
}

// MockHandlerConfigMockRecorder is the mock recorder for MockHandlerConfig
type MockHandlerConfigMockRecorder struct {
	mock *MockHandlerConfig
}

// NewMockHandlerConfig creates a new mock instance
func NewMockHandlerConfig(ctrl *gomock.Controller) *MockHandlerConfig {
	mock := &MockHandlerConfig{ctrl: ctrl}
	mock.recorder = &MockHandlerConfigMockRecorder{mock}
	return mock
}

// EXPECT returns an object that allows the caller to indicate expected use
func (m *MockHandlerConfig) EXPECT() *MockHandlerConfigMockRecorder {
	return m.recorder
}

// GetHandler mocks base method
func (m *MockHandlerConfig) GetHandler(arg0 models.ApplicationState) (models.MessageHandler, error) {
	m.ctrl.T.Helper()
	ret := m.ctrl.Call(m, "GetHandler", arg0)
	ret0, _ := ret[0].(models.MessageHandler)
	ret1, _ := ret[1].(error)
	return ret0, ret1
}

// GetHandler indicates an expected call of GetHandler
func (mr *MockHandlerConfigMockRecorder) GetHandler(arg0 interface{}) *gomock.Call {
	mr.mock.ctrl.T.Helper()
	return mr.mock.ctrl.RecordCallWithMethodType(mr.mock, "GetHandler", reflect.TypeOf((*MockHandlerConfig)(nil).GetHandler), arg0)
}
